// package: v1
// file: cdp-service.proto

/* tslint:disable */

import * as grpc from "grpc";
import * as cdp_service_pb from "./cdp-service_pb";
import * as google_protobuf_timestamp_pb from "google-protobuf/google/protobuf/timestamp_pb";

interface ICDPServiceService extends grpc.ServiceDefinition<grpc.UntypedServiceImplementation> {
    navigate: ICDPServiceService_INavigate;
}

interface ICDPServiceService_INavigate extends grpc.MethodDefinition<cdp_service_pb.NavigateRequest, cdp_service_pb.NavigateReply> {
    path: string; // "/v1.CDPService/Navigate"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<cdp_service_pb.NavigateRequest>;
    requestDeserialize: grpc.deserialize<cdp_service_pb.NavigateRequest>;
    responseSerialize: grpc.serialize<cdp_service_pb.NavigateReply>;
    responseDeserialize: grpc.deserialize<cdp_service_pb.NavigateReply>;
}

export const CDPServiceService: ICDPServiceService;

export interface ICDPServiceServer {
    navigate: grpc.handleUnaryCall<cdp_service_pb.NavigateRequest, cdp_service_pb.NavigateReply>;
}

export interface ICDPServiceClient {
    navigate(request: cdp_service_pb.NavigateRequest, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    navigate(request: cdp_service_pb.NavigateRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    navigate(request: cdp_service_pb.NavigateRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
}

export class CDPServiceClient extends grpc.Client implements ICDPServiceClient {
    constructor(address: string, credentials: grpc.ChannelCredentials, options?: object);
    public navigate(request: cdp_service_pb.NavigateRequest, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    public navigate(request: cdp_service_pb.NavigateRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    public navigate(request: cdp_service_pb.NavigateRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: cdp_service_pb.NavigateReply) => void): grpc.ClientUnaryCall;
}
